<?php
  include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
    $id_cd=$sesion->id;
    $conti=0;
extract($_POST);

$qp3 = "select  idkit, descripcion, idprod, nombreprod from nombrekits join productos on productos.id_prod=nombrekits.idprod where idkit='$idped'";
   $cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado): ' . mysql_error());
	$rp3 = mysql_fetch_object($cp3);	
		$nombp=$rp3->nombreprod; $idp=$rp3->idprod; $idp=$rp3->idprod;



  		   echo"<center><br><font size=\"5\"><b>Armado de Kits $nomp</b></font><br>
  		   <br>El siguiente producto sera agregado al sistema:<br>
<table border=\"1\">
			<tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">cant</font></th><th><font color=\"#FFFFFF\">nombre</font></th><th><font color=\"#FFFFFF\">id</font></th>
		</tr>
		<font size=2><tr><td bgcolor=\"#e8d78d\" align=\"center\" width=\"30\">$canto</td><td align=\"center\" width=\"160\">$nombp</td>  
					<td align=\"center\" width=\"60\">$idp</td></font></tr></table><br>";
  		  $qPP = "SELECT cant, nombreProd, id_prod FROM `armakits` join productos on productos.id_prod=armakits.idp_fin WHERE `idp_ini`='".$idped."'";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error()); 
  		 echo "
El siguiente producto sera dado de baja del sistema:<br><table border=\"1\">
<th>Cant</th><th>Existencia</th><th>Descripci&oacute;n</th><th>ID</th>";


echo"<form name=\"Selec_Prod_Pedido\" action=\"crear_kits2.php\" method=\"post\">";
while (($objetoPP=mysql_fetch_object($rPP)) )

{$canti=$canto*$objetoPP->cant;
$i=$objetoPP->id_prod;
$qp = "select cantidad from stock where idcd='$id_cd' and idprod='$i'";
   $cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp = mysql_fetch_object($cp);	
	$existencia = $rp->cantidad;
						
if($canti>$existencia){$conti=1;}
	echo "<tr>

	
			<td align=\"center\" bgcolor=\"#c3dfed\">$canti</td> <td align=\"center\">$existencia</td><td align=\"center\">$objetoPP->nombreProd</td> <td align=\"center\">$objetoPP->id_prod</td>
			
			
		

		  </tr> 
<input type=hidden name=id_prod$i value=$objetoPP->id_prod>
<input type=hidden name=nombrep$i value=$objetoPP->nombreProd>
<input type=hidden name=cant$i value=$canti>
		 ";

   
}
	
	
	echo"</table>";
	if($conti==1){echo"<br><font color=\"red\" size=\"+2\">********ADVERTENCIA*********<br>Se esta solicitando mas que las existencias</font><br>";} echo"<br>	<input type=hidden name=idp1 value=$idp />
	<input type=hidden name=idp2 value=$idped /><input type=hidden name=canto value=$canti />
	<input type=hidden name=nomp1 value=$nomp /><input type=\"submit\" value=\"Aceptar y crear Kits\" name=\"lista2\">	</form><br>";    		   
?>



